# Send delivery feedback for a message Send feedback if your system can confirm successful message delivery. Feedback can only be provided if feedback_enabled was set when batch was submitted. Batches: It is possible to submit feedback multiple times for the same batch for different recipients. Feedback without specified recipients is treated as successful message delivery to all recipients referenced in the batch. Note that the recipients key is still required even if the value is empty. Groups: If the batch message was created using a group ID, at least one recipient is required. Excluding recipients (an empty recipient list) does not work and will result in a failed request. Endpoint: POST /xms/v1/{service_plan_id}/batches/{batch_id}/delivery_feedback Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" - `batch_id` (string, required) The batch ID you received from sending a message. Example: "01FC66621XXXXX119Z8PMV1QPQ" ## Request fields (application/json): - `recipients` (array, required) A list of phone numbers (MSISDNs) that have successfully received the message. The key is required, however, the value can be an empty array ([]) for a batch. If the feedback was enabled for a group, at least one phone number is required. Example: ["+15551231234","+15551256344"] ## Response 400 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error. ## Response 202 fields ## Response 404 fields